package com.casic.dcms.model;

import java.util.List;

public class MapLampBoxBean {

    private int code;
    private List<DataBean> data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private String address;
        private String areaId;
        private String areaName;
        private String delflag;
        private String deptId;
        private String deptName;
        private String id;
        private String lampboxCode;
        private String lampboxName;
        private String lampboxType;
        private String lampboxTypeName;
        private String latitude;
        private String longitude;
        private String streetId;
        private String streetName;
        private String teleId;
        private String ts;
        private String version;

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getAreaId() {
            return areaId;
        }

        public void setAreaId(String areaId) {
            this.areaId = areaId;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public String getDelflag() {
            return delflag;
        }

        public void setDelflag(String delflag) {
            this.delflag = delflag;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getLampboxCode() {
            return lampboxCode;
        }

        public void setLampboxCode(String lampboxCode) {
            this.lampboxCode = lampboxCode;
        }

        public String getLampboxName() {
            return lampboxName;
        }

        public void setLampboxName(String lampboxName) {
            this.lampboxName = lampboxName;
        }

        public String getLampboxType() {
            return lampboxType;
        }

        public void setLampboxType(String lampboxType) {
            this.lampboxType = lampboxType;
        }

        public String getLampboxTypeName() {
            return lampboxTypeName;
        }

        public void setLampboxTypeName(String lampboxTypeName) {
            this.lampboxTypeName = lampboxTypeName;
        }

        public String getLatitude() {
            return latitude;
        }

        public void setLatitude(String latitude) {
            this.latitude = latitude;
        }

        public String getLongitude() {
            return longitude;
        }

        public void setLongitude(String longitude) {
            this.longitude = longitude;
        }

        public String getStreetId() {
            return streetId;
        }

        public void setStreetId(String streetId) {
            this.streetId = streetId;
        }

        public String getStreetName() {
            return streetName;
        }

        public void setStreetName(String streetName) {
            this.streetName = streetName;
        }

        public String getTeleId() {
            return teleId;
        }

        public void setTeleId(String teleId) {
            this.teleId = teleId;
        }

        public String getTs() {
            return ts;
        }

        public void setTs(String ts) {
            this.ts = ts;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }
    }
}
